## empathy-utils empathy-utils |

## Synopsis

    #define             EMPATHY_GET_PRIV                    (obj,type)
    #define             G_STR_EMPTY                         (x)
    enum                EmpathyRegExType;
    gchar*              empathy_substring                   (const gchar *str,
                                                             gint start,
                                                             gint end);
    gint                empathy_regex_match                 (EmpathyRegExType type,
                                                             const gchar *msg,
                                                             GArray *start,
                                                             GArray *end);
    gint                empathy_strcasecmp                  (const gchar *s1,
                                                             const gchar *s2);
    gint                empathy_strncasecmp                 (const gchar *s1,
                                                             const gchar *s2,
                                                             gsize n);
    gboolean            empathy_xml_validate                (xmlDoc *doc,
                                                             const gchar *dtd_filename);
    xmlNodePtr          empathy_xml_node_get_child          (xmlNodePtr node,
                                                             const gchar *child_name);
    xmlChar*            empathy_xml_node_get_child_content  (xmlNodePtr node,
                                                             const gchar *child_name);
    xmlNodePtr          empathy_xml_node_find_child_prop_value
                                                            (xmlNodePtr node,
                                                             const gchar *prop_name,
                                                             const gchar *prop_value);
    guint               empathy_account_hash                (gconstpointer key);
    gboolean            empathy_account_equal               (gconstpointer a,
                                                             gconstpointer b);
    MissionControl*     empathy_mission_control_new         (void);
    const gchar*        empathy_presence_get_default_message
                                                            (McPresence presence);
    const gchar*        empathy_presence_to_str             (McPresence presence);
    McPresence          empathy_presence_from_str           (const gchar *str);
    gchar*              empathy_file_lookup                 (const gchar *filename,
                                                             const gchar *subdir);
    gboolean            (*EmpathyRunUntilReadyFunc)         (GObject *object,
                                                             gpointer user_data);
    void                empathy_run_until_ready             (gpointer object);
    void                empathy_run_until_ready_full        (gpointer object,
                                                             const gchar *signal,
                                                             EmpathyRunUntilReadyFunc func,
                                                             gpointer user_data,
                                                             GMainLoop **loop);
    McAccount*          empathy_channel_get_account         (TpChannel *channel);
    gpointer            empathy_connect_to_account_status_changed
                                                            (MissionControl *mc,
                                                             GCallback handler,
                                                             gpointer user_data,
                                                             GClosureNotify free_func);
    void                empathy_disconnect_account_status_changed
                                                            (gpointer token);
    gboolean            empathy_proxy_equal                 (gconstpointer a,
                                                             gconstpointer b);
    guint               empathy_proxy_hash                  (gconstpointer key);

## Description

## Details

### EMPATHY_GET_PRIV()

    #define EMPATHY_GET_PRIV(obj,type) ((type##Priv*) ((type*)obj)->priv)

`obj` : |
`type` : |

### G_STR_EMPTY()

    #define G_STR_EMPTY(x) ((x) == NULL || (x)[0] == '\0')

`x` : |

### enum EmpathyRegExType

    typedef enum {
    	EMPATHY_REGEX_AS_IS,
    	EMPATHY_REGEX_BROWSER,
    	EMPATHY_REGEX_APT,
    	EMPATHY_REGEX_EMAIL,
    	EMPATHY_REGEX_OTHER,
    	EMPATHY_REGEX_ALL,
    } EmpathyRegExType;

### empathy_substring ()

    gchar*              empathy_substring                   (const gchar *str,
                                                             gint start,
                                                             gint end);

`str` : |
`start` : |
`end` : |
Returns : |

### empathy_regex_match ()

    gint                empathy_regex_match                 (EmpathyRegExType type,
                                                             const gchar *msg,
                                                             GArray *start,
                                                             GArray *end);

`type` : |
`msg` : |
`start` : |
`end` : |
Returns : |

### empathy_strcasecmp ()

    gint                empathy_strcasecmp                  (const gchar *s1,
                                                             const gchar *s2);

`s1` : |
`s2` : |
Returns : |

### empathy_strncasecmp ()

    gint                empathy_strncasecmp                 (const gchar *s1,
                                                             const gchar *s2,
                                                             gsize n);

`s1` : |
`s2` : |
`n` : |
Returns : |

### empathy_xml_validate ()

    gboolean            empathy_xml_validate                (xmlDoc *doc,
                                                             const gchar *dtd_filename);

`doc` : |
`dtd_filename` : |
Returns : |

### empathy_xml_node_get_child ()

    xmlNodePtr          empathy_xml_node_get_child          (xmlNodePtr node,
                                                             const gchar *child_name);

`node` : |
`child_name` : |
Returns : |

### empathy_xml_node_get_child_content ()

    xmlChar*            empathy_xml_node_get_child_content  (xmlNodePtr node,
                                                             const gchar *child_name);

`node` : |
`child_name` : |
Returns : |

### empathy_xml_node_find_child_prop_value ()

    xmlNodePtr          empathy_xml_node_find_child_prop_value
                                                            (xmlNodePtr node,
                                                             const gchar *prop_name,
                                                             const gchar *prop_value);

`node` : |
`prop_name` : |
`prop_value` : |
Returns : |

### empathy_account_hash ()

    guint               empathy_account_hash                (gconstpointer key);

`key` : |
Returns : |

### empathy_account_equal ()

    gboolean            empathy_account_equal               (gconstpointer a,
                                                             gconstpointer b);

`a` : |
`b` : |
Returns : |

### empathy_mission_control_new ()

    MissionControl*     empathy_mission_control_new         (void);

Returns : |

### empathy_presence_get_default_message ()

    const gchar*        empathy_presence_get_default_message
                                                            (McPresence presence);

`presence` : |
Returns : |

### empathy_presence_to_str ()

    const gchar*        empathy_presence_to_str             (McPresence presence);

`presence` : |
Returns : |

### empathy_presence_from_str ()

    McPresence          empathy_presence_from_str           (const gchar *str);

`str` : |
Returns : |

### empathy_file_lookup ()

    gchar*              empathy_file_lookup                 (const gchar *filename,
                                                             const gchar *subdir);

`filename` : |
`subdir` : |
Returns : |

### EmpathyRunUntilReadyFunc ()

    gboolean            (*EmpathyRunUntilReadyFunc)         (GObject *object,
                                                             gpointer user_data);

`object` : |
`user_data` : |
Returns : |

### empathy_run_until_ready ()

    void                empathy_run_until_ready             (gpointer object);

`object` : |

### empathy_run_until_ready_full ()

    void                empathy_run_until_ready_full        (gpointer object,
                                                             const gchar *signal,
                                                             EmpathyRunUntilReadyFunc func,
                                                             gpointer user_data,
                                                             GMainLoop **loop);

`object` : |
`signal` : |
`func` : |
`user_data` : |
`loop` : |

### empathy_channel_get_account ()

    McAccount*          empathy_channel_get_account         (TpChannel *channel);

`channel` : |
Returns : |

### empathy_connect_to_account_status_changed ()

    gpointer            empathy_connect_to_account_status_changed
                                                            (MissionControl *mc,
                                                             GCallback handler,
                                                             gpointer user_data,
                                                             GClosureNotify free_func);

`mc` : |
`handler` : |
`user_data` : |
`free_func` : |
Returns : |

### empathy_disconnect_account_status_changed ()

    void                empathy_disconnect_account_status_changed
                                                            (gpointer token);

`token` : |

### empathy_proxy_equal ()

    gboolean            empathy_proxy_equal                 (gconstpointer a,
                                                             gconstpointer b);

`a` : |
`b` : |
Returns : |

### empathy_proxy_hash ()

    guint               empathy_proxy_hash                  (gconstpointer key);

`key` : |
Returns : |